Loading...
Searching...
No Matches
rpccallbackregister_base.h File Reference
`#include <gnuradio/messages/msg_accepter.h>`
`#include <gnuradio/messages/msg_producer.h>`
Include dependency graph for rpccallbackregister_base.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

struct | callbackregister_base
struct | callbackregister_base::callback_base_t
class | callbackregister_base::callback_t< T, Tsptr >

## Typedefs

typedef uint32_t | DisplayType

## Enumerations

enum | priv_lvl_t { RPC_PRIVLVL_ALL = 0 , RPC_PRIVLVL_MIN = 9 , RPC_PRIVLVL_NONE = 10 }
enum | KnobType { KNOBBOOL , KNOBCHAR , KNOBINT , KNOBFLOAT , KNOBDOUBLE , KNOBSTRING , KNOBLONG , KNOBVECBOOL , KNOBCOMPLEX , KNOBCOMPLEXD , KNOBVECCHAR , KNOBVECINT , KNOBVECFLOAT , KNOBVECDOUBLE , KNOBVECSTRING , KNOBVECLONG }

## Variables

constexpr uint32_t | DISPNULL = 0x0000
| DisplayType Plotting types.
constexpr uint32_t | DISPTIME = 0x0001
constexpr uint32_t | DISPXY = 0x0002
constexpr uint32_t | DISPPSD = 0x0004
constexpr uint32_t | DISPSPEC = 0x0008
constexpr uint32_t | DISPRAST = 0x0010
constexpr uint32_t | DISPOPTCPLX = 0x0100
| DisplayType Options.
constexpr uint32_t | DISPOPTLOG = 0x0200
constexpr uint32_t | DISPOPTSTEM = 0x0400
constexpr uint32_t | DISPOPTSTRIP = 0x0800
constexpr uint32_t | DISPOPTSCATTER = 0x1000

## Typedef Documentation

## DisplayType

typedef uint32_t DisplayType

## Enumeration Type Documentation

## KnobType

enum KnobType

Enumerator
KNOBBOOL |
KNOBCHAR |
KNOBINT |
KNOBFLOAT |
KNOBDOUBLE |
KNOBSTRING |
KNOBLONG |
KNOBVECBOOL |
KNOBCOMPLEX |
KNOBCOMPLEXD |
KNOBVECCHAR |
KNOBVECINT |
KNOBVECFLOAT |
KNOBVECDOUBLE |
KNOBVECSTRING |
KNOBVECLONG |

## priv_lvl_t

enum priv_lvl_t

Enumerator
RPC_PRIVLVL_ALL |
RPC_PRIVLVL_MIN |
RPC_PRIVLVL_NONE |

## Variable Documentation

## DISPNULL

uint32_t DISPNULL = 0x0000

constexpr

DisplayType Plotting types.

Referenced by rpcbasic_register_get< T, Tfrom >::rpcbasic_register_get(), rpcbasic_register_get< T, Tfrom >::rpcbasic_register_get(), rpcbasic_register_get< T, Tfrom >::rpcbasic_register_get(), rpcbasic_register_get< T, Tfrom >::rpcbasic_register_get(), rpcbasic_register_handler< T >::rpcbasic_register_handler(), rpcbasic_register_set< T, Tto >::rpcbasic_register_set(), rpcbasic_register_set< T, Tto >::rpcbasic_register_set(), rpcbasic_register_variable< Tfrom >::rpcbasic_register_variable(), rpcbasic_register_variable< Tfrom >::rpcbasic_register_variable(), rpcbasic_register_variable_rw< Tfrom >::rpcbasic_register_variable_rw(), and rpcbasic_register_variable_rw< Tfrom >::rpcbasic_register_variable_rw().

## DISPOPTCPLX

uint32_t DISPOPTCPLX = 0x0100

constexpr

DisplayType Options.

## DISPOPTLOG

uint32_t DISPOPTLOG = 0x0200

constexpr

## DISPOPTSCATTER

uint32_t DISPOPTSCATTER = 0x1000

constexpr

## DISPOPTSTEM

uint32_t DISPOPTSTEM = 0x0400

constexpr

## DISPOPTSTRIP

uint32_t DISPOPTSTRIP = 0x0800

constexpr

## DISPPSD

uint32_t DISPPSD = 0x0004

constexpr

## DISPRAST

uint32_t DISPRAST = 0x0010

constexpr

## DISPSPEC

uint32_t DISPSPEC = 0x0008

constexpr

## DISPTIME

uint32_t DISPTIME = 0x0001

constexpr

## DISPXY

uint32_t DISPXY = 0x0002

constexpr